/*
Theme Name: Pixelated Commerce for: ANU Kendo
Theme URI: https://anukendo.org/wp-content/themes/anukendo_2023r0
Version: 1.0
Description: ANU Kendo theme
Author: Pixelated Commerce
Author URI: hhttps://www.pixleatedcommerce.com
template: bb-theme
*/


/* CORE TEXT SIZE SETTINGS
*******************************************************************************************/
/* KILL IMAGE DRAG
*******************************************************************************************/
img { pointer-events: none; }

/* KILL TEXT SELECT
*******************************************************************************************/
.select-none {
    -webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	}

/* RETINA IMAGE DISPLAY 
*******************************************************************************************/
.retina-image img {
    width: 50% !important;
    height: 50% !important;
}


/* SET BASE DOCUMENT SETTINGS
*******************************************************************************************/

html {
    font-size: calc(10px + 0.390625vw); /*USE CALS TO DYNAMICALLY RESIZE TEXT ACROSS BREAKPOINTS. BASE TEXT SIZE 10px = 1rem = 1em */
	}

body {
	background-color:#ffffff;
	}



/* CORE TEXT SIZE SETTINGS
*******************************************************************************************/
p, a, p a, h1, h2, h3, h4, h5, h6 {
	overflow-wrap: break-word;
	-webkit-hyphens: manual;
	-ms-hyphens: manual;
	hyphens: manual;
	text-rendering: optimizelegibility;
	}

body {font-size: 1.0rem;}

h1 {font-size: calc(2.0rem + 2.5vmin);} 
h2 {font-size: calc(1.8rem + 2.5vmin);} 
h3 {font-size: calc(1.1rem + 2.5vmin);} 
h4 {font-size: calc(0.05rem + 2.5vmin);}
h5 {font-size: calc(0.02rem + 2.5vmin);}
h6 {font-size: calc(0.01rem + 2.5vmin);}

#Blog h1 {font-size: calc(1.2rem + 2.5vmin);} 
#Blog h2 {font-size: calc(1.1rem + 2.5vmin);} 
#Blog h3 {font-size: calc(1.0rem + 2.5vmin);} 
#Blog h4 {font-size: calc(0.03rem + 2.5vmin);}
#Blog h5 {font-size: calc(0.02rem + 2.5vmin);}
#Blog h6 {font-size: calc(0.01rem + 2.5vmin);}

@media (max-width: 767px) {
	
	h4 {font-size: calc(1.0rem + 2.5vmin);}
	h5 {font-size: calc(1.0rem + 2.5vmin);}
	h6 {font-size: calc(1.0rem + 2.5vmin);}
	
	#Blog h1 {font-size: calc(1.6rem + 2.5vmin);} 
	#Blog h2 {font-size: calc(1.4rem + 2.5vmin);} 
	#Blog h3 {font-size: calc(1.2rem + 2.5vmin);} 
	#Blog h4 {font-size: calc(1.0rem + 2.5vmin);}
	#Blog h5 {font-size: calc(0.8rem + 2.5vmin);}
	#Blog h6 {font-size: calc(0.6rem + 2.5vmin);}
	}

#Blog h3, #Blog h4, #Blog h5, #Blog h6 {
	line-height: 1.1; 
	margin: 0 auto;
	margin-top: 30px; 
	margin-bottom: 20px; }
	
p, p li, li {
	font-size: 1.0rem; 
	line-height: 1.5; 
	max-width:41rem; 
	margin: 0 auto;}

@media (max-width: 767px) {	
	p, p li, li {font-size: 1.5rem; 
		line-height: 1.5; 
		max-width:40rem; 
		margin: 0 auto;} }

	.Two_column { /* Auto split text into two columns */
    -webkit-column-count: 2; /* Chrome, Safari, Opera */
    -moz-column-count: 2; /* Firefox */
    column-count: 2;
	}

@media (max-width: 767px) {	
	.Two_column {
    -webkit-column-count: 1; /* Chrome, Safari, Opera */
    -moz-column-count: 1; /* Firefox */
    column-count: 1;
	} }


/* CALL FONTS VIA ASSETS DIRECTORY
*******************************************************************************************/

/* montserrat-regular - latin */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  src: url('/wp-content/assets/fonts/montserrat/montserrat-v25-latin-regular.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('/wp-content/assets/fonts/montserrat/montserrat-v25-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('/wp-content/assets/fonts/montserrat/montserrat-v25-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('/wp-content/assets/fonts/montserrat/montserrat-v25-latin-regular.woff') format('woff'), /* Modern Browsers */
       url('/wp-content/assets/fonts/montserrat/montserrat-v25-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       url('/wp-content/assets/fonts/montserrat/montserrat-v25-latin-regular.svg#Montserrat') format('svg'); /* Legacy iOS */
	font-display: swap;
}



/* SCROLL TO TOP - IMAGE BASED
********************************************************************************************/
#fl-to-top {
	display: inline-block;
	text-decoration: none;
	text-align: center;
	width: 5rem;
	height: 5rem;
	border-radius: 50%;
	background-color: rgba(255, 255, 255, 0.6);
	padding: 0.3rem;
	border: 2px solid #000000;
	background-image: url('/wp-content/assets/img/up-arrow.png');
	background-repeat: no-repeat;
	background-position: center;
	width:40px;
	height:40px;
}

.fa-chevron-up:before {
	content: none !important;
	}

/* ENSURE IMAGES DISPLAY AREA IS CLICKABLE
*******************************************************************************************/

.img {
display: block;
margin-left: auto;
margin-right: auto; }

.fl-post-grid-image a, .fl-photo a {display: block;}

/* FOR IMAGE BASED MENU
*******************************************************************************************/
.welcome-icon {
background-image: url('/wp-content/assets/img/menu/welcome.png');
background-repeat: no-repeat;
background-position: center top;
width:80px;
height:80px;
}

/* POSITIONALS
********************************************************************************************/
#Position_zTop {
	z-index: 1000;
}

#Position_zBottom {
	z-index: 0;
}

/* BASE TEXT STYLE SETTINGS
*******************************************************************************************/
body {font-family: 'Montserrat', helvetica, arial, sans-serif; color:#23282b;}

h1 {font-family: 'Montserrat', helvetica, arial, sans-serif; color:#23282b; line-height: 1em;} 
h2 {font-family: 'Montserrat', helvetica, arial, sans-serif; color:#23282b; line-height: 1em;} 
h3 {font-family: 'Montserrat', helvetica, arial, sans-serif; color:#23282b; line-height: 1em;} 
h4 {font-family: 'Montserrat', helvetica, arial, sans-serif; color:#23282b; line-height: 2em;}
h5 {font-family: 'Montserrat', helvetica, arial, sans-serif; color:#23282b; line-height: 2em;}
h6 {font-family: 'Montserrat', helvetica, arial, sans-serif; color:#23282b; line-height: 2em;}
	
p {	font-family: 'Montserrat', helvetica, arial, sans-serif; color:#23282b;}
	
img a { border-bottom: none;}

a {
	color: #563b8c;
	text-decoration: none;
	border-bottom: #563b8c 1px dotted;
}

a:hover {
	color: #EA215A !important;
	text-decoration: none !important;
	border-bottom: #EA215A 1px solid;
}


br { /* MAKE BR LINE WRAPS MORE READABLE */
  content: "";
  margin: 2em;
  display: block;
  font-size: 24%;
  outline: red;
	}

table { font-size: 1.6rem; }
	
p + p { margin-top: 1.3em;}


/* BLOG POST SPECIFIC FORMATTING
*******************************************************************************************/

.rt-reading-time {font-size: 1rem; line-height: 1.5; color: #786448;}

.fl-post-feed-more {font-size: 2rem; line-height: 1.5; color: #786448;}


/* ELEMENT OVERRIDE TEXT SETTINGS
*******************************************************************************************/

.Bold {font-family: 'Montserrat-Bold', sans-serif; font-weight: 700;}

.Icon_points p { 
font-family: "Montserrat", sans-serif;
font-size: 14px;
font-weight: 400;
hyphens: manual;
line-height: 22.75px;
overflow-wrap: break-word;
text-align: left;
text-rendering: optimizelegibility;
-moz-osx-font-smoothing: grayscale;}

	 
	
/* WP EDITOR TEXT SETTINGS
*******************************************************************************************/
#WPEditor_Styles h1, #WPEditor_Styles h2, #WPEditor_Styles h3, #WPEditor_Styles h4, #WPEditor_Styles h5 {margin: 25px 0px 20px 0px}
	
#WPEditor p {}

#WPEditor a {
	text-decoration: none;
	}
	
#WPEditor a:hover {
	text-decoration: none;
	}

#WPEditor img a { border-bottom: none;}

#WPEditor i, #WPEditor em {}

#WPEditor strong {}


/* LIST SETTINGS
*******************************************************************************************/
	
ul {
	list-style-type: disc !important;
	/*list-style-type: circle !important;*/
	/*list-style-type: square !important;*/
	list-style-position: outside;
	list-style-image: none;
	margin-top: 2rem;
	margin-right:2rem;
	}

li {
	text-indent: 0.5em; /* This will affect menu - enclose in module specific style */
	}


li + li {
	margin-top: 1rem;
	}

/*BLOCK QUOTE
*******************************************************************************************/
blockquote {
	margin: 0 auto !important; 
	border-left: 1px solid #23282b;
	border-bottom: 1px solid #23282b;
	font-style: italic;
	max-width:600px;
	margin-left: 1em !important;
	margin-top: -1em !important;
	margin-bottom: 1.5em !important;
	}

blockquote p {
	text-align: left !important;
	padding-left: 1em;
	padding-top: 1em;
	padding-bottom: 0 !important;
	font-size: 1em !important;
	}


/* CONTROL SVG ICONS
*******************************************************************************************/	

.Masthead_Header {max-width: 150px; display: block; margin: 0 auto;}

.Masthead_Footer {max-width: 185px; display: block; margin: 0 auto;}

.icon, icon a:active  {
    width: 55px;
    height: auto;
    margin: 0 auto;
    stroke-width: .15rem;
    stroke-linejoin: round;
    stroke-linecap: round;
    stroke: none;
    fill: #000000;
	}

.Social_icon, Social_icon a:active  {
    width: 55px;
    height: auto;
    margin: 0 auto;
    stroke-width: .15rem;
    stroke-linejoin: round;
    stroke-linecap: round;
    stroke: none;
    fill: #000000 !important;
	}

.Social_icon a:hover, .icon a:hover  {
	stroke: none;
	fill: #ff0000;
	}

@media (max-width: 767px) {	
	
	.icon, icon a:active  {
    width: 30px;
    height: auto;
    margin: 0 auto;
    stroke-width: .15rem;
    stroke-linejoin: round;
    stroke-linecap: round;
    stroke: none;
    fill: #000000;
	}

	.Social_icon, Social_icon a:active  {
    width: 55px;
    height: auto;
    margin: 0 auto;
    stroke-width: .15rem;
    stroke-linejoin: round;
    stroke-linecap: round;
    stroke: none;
    fill: #000000;
  	}

}

/* SIDEBAR CONTROL
*******************************************************************************************/	
#Sidebar_Fixed {  
	position: -webkit-sticky;
	position: sticky;
	top: 150px;
}


/* TABLE STYLE
*******************************************************************************************/
table {
	width: 100%;
	border-collapse: collapse;
	border: 0px solid #000000;
	border-spacing: 2px 2px;
	}

thead {
	height: 30px;
	background-color: #fff;
	}
	
th, td {
	padding: 10px;
	text-align: center;
	}
	
tr:nth-child(even) {
	background-color: #efefef;
}


/* NEW WP GALLERY CUSTOM STYLE via: theme.fm/how-to-style-your-wordpress-gallery
********************************************************************************************/
.gallery { margin: 0 auto 18px; }
.gallery .gallery-item {
	float: left;
	margin-top: 0;
	text-align: center;
	width: 33%;
}
.gallery-columns-2 .gallery-item { width: 50%; }
.gallery-columns-4 .gallery-item { width: 25%; }
.gallery img {
	box-shadow: 0px 0px 4px #999;
	border: 1px solid white;
	padding: 8px;
	background: #f2f2f2;
}
.gallery img:hover {
	background: white;
}
.gallery-columns-2 .attachment-medium {
	max-width: 92%;
	height: auto;
}
.gallery-columns-4 .attachment-thumbnail {
	max-width: 84%;
	height: auto;
}
.gallery .gallery-caption {
	color: #888;
	font-size: 12px;
	margin: 0 0 12px;
}
.gallery dl, .gallery dt { margin: 0; }
.gallery br+br { display: none; }


/* BEAVER BUILDER BUTTONS: beaverjunction.com/bottom-aligned-buttons-on-columns/
*******************************************************************************************/
.equal-height-buttons {
align-content: flex-end;
flex: 1 1 0;
display: grid;
}

	
	
/* WOOCOMMERCE
********************************************************************************************/
/*styles all dropdowns. From: bavotasan dot com/2011/style-select-box-using-only-css/*/
select {background: #fff;
	width: 75%;
	padding: 10px;
	background: url('/wp-content/assets/img/down_arrow_select.jpg') no-repeat right #fff;
	font-size: .8rem;
	color: #2a2d30;
	line-height: 1;
	border: 0;
	border-radius: 0;
	height: 34px;
	-webkit-appearance: none;
	border:1px solid #786448;}


/* VARIATIONS CELL */

.woocommerce div.product form.cart .variations, .woocommerce-page div.product form.cart .variations {
  margin-top: 0px;
}

.woocommerce div.product form.cart .variations {
  margin-bottom: 0;
  border: 0;
  width: 100%;
  }
 
 .woocommerce div.product form.cart .variations select {
  min-width: 100%;
  display: inline-block;
  margin-right: 0;
}

.variations th, td {
  padding: 0;
  text-align: center;
}

/* ENSURE QNTY + BUY BUTTON DISPLAY INLINE */
.woocommerce .fl-module-fl-woo-cart-button form.cart div.quantity {display: contents;}


/* INPUT QNTY CONTROL */
.woocommerce .quantity input.qty, .woocommerce-page .quantity input.qty {
  background: #ffffff !important;
  border-color: #000000;
  color: #000000 !important;
  float:left;
  height: 45px;
  text-shadow: none;
  -moz-box-shadow: none;
  -webkit-box-shadow: none;
  box-shadow: none;
  width:100px;
}


.Shopping_bag .woocommerce .quantity input.qty, .Shopping_bag .woocommerce-page .quantity input.qty {
  background: #ffffff !important;
  border-color: #000000;
  color: #000000 !important;
  float:right;
  height: 45px;
  text-shadow: none;
  -moz-box-shadow: none;
  -webkit-box-shadow: none;
  box-shadow: none;
}


.woocommerce .quantity .qty {
  width: 20%;
  text-align: center;
}

@media only screen and (max-width: 767px) {
	.Gift_card .woocommerce div.product form.cart .button {
  max-width: 30% !important;
  }
}

.quantity input.qty, .woocommerce-page .fl-page-content .quantity input.qty {
/* POSITION ARROWS */  padding: 1rem;
}



input[type="text"], input[type="password"], input[type="email"], input[type="tel"], input[type="date"], input[type="month"], input[type="week"], input[type="time"], input[type="number"], input[type="search"], input[type="url"], textarea {
  display: block;
  width: 100%;
  padding: 6px 12px;
  font-size: 1rem;
  line-height: 1.428571429;
  color: #00000;
  vertical-align: middle;
  background-color: #ffffff;
  background-image: none;
  border: 1px solid #000000;
    border-top-color: rgb(230, 230, 230);
    border-right-color: rgb(230, 230, 230);
    border-bottom-color: rgb(230, 230, 230);
    border-left-color: rgb(230, 230, 230);
  -moz-transition: all ease-in-out .15s;
  -webkit-transition: all ease-in-out .15s;
  transition: all ease-in-out .15s;
  -moz-box-shadow: none;
  -webkit-box-shadow: none;
  box-shadow: none;
  -moz-border-radius: 0px;
  -webkit-border-radius: 0px;
  border-radius: 0px;
}


/* BUY BUTTON CONTROL */

form.cart button.button {
  background: #000000;
  border-color: #000000;
  padding: 12px;
  }
  
  .woocommerce div.product form.cart .button {
  vertical-align: middle;
  float: right;
  margin-right:0;
  min-width: 75%;
    box-shadow: none;
  -moz-border-radius: 0px;
  -webkit-border-radius: 0px;
  border-radius: 0px;
  }

@media only screen and (max-width: 1024px) { 
	form.cart button.button {
	 background: #000000;
	 border-color: #000000;
	 padding: 12px;
	 }
  
	 .woocommerce div.product form.cart .button {
	 vertical-align: middle;
	 float: right;
	 margin-top:0px;
	 min-width: 72%;
	 }
}

@media only screen and (max-width: 767px) {		
	form.cart button.button {
	 background: #000000;
	 border-color: #000000;
	 padding: 12px;
	 }
  
	 .woocommerce div.product form.cart .button {
	 vertical-align: middle;
	 float: right;
	 margin-top:0px;
	 min-width: 70%;
	 }
}

/* KILL LABEL TABLE CELL */.woocommerce div.product form.cart .variations th {
  max-width: 0px;
}

/* KILL LABEL TEXT */.woocommerce div.product form.cart .variations label {
  visibility: hidden;
}

/* KILL CLEAR TEXT */.woocommerce div.product form.cart .reset_variations, .woocommerce-page div.product form.cart .reset_variations a {
  visibility: hidden !important;
  height: 0;
}



	

/* CONTROL CART PRODUCT LINE TEXT */

.woocommerce table.shop_table {font-size: 1rem;}

.woocommerce table.shop_table.cart tbody td.product-name a { font-size: 1rem; color: #000000 !important;}	

.woocommerce table.shop_table th {padding:15px;}

	
/* CUSTOM PLUGIN CSS
*******************************************************************************************
*******************************************************************************************
*******************************************************************************************/

/* RECOLOUR CRITICAL BB EDIT BUTTONS */

[data-action="discard"] {
    background: none;
    color: #CE3F40!important;
}

[data-action="discard"]:after {
    content: "\00a0 changes ×";
}

[data-action="discard"]:hover{
	background: #CE3F40!important;
}

[data-action="publish"] {
    background: #059669!important;
}

[data-action="publish"]:hover {
    background: #047857!important;
}

.fl-builder-publish-actions >.fl-builder-button-group {
    gap: 4px;
}

.fl-builder-button-group > .fl-builder-button {
    border-radius: 3px!important;
}



/* TABLEPRESS
********************************************************************************************/
